commit: 22612a2978699ab94adb0ab7bf51464356083fa4
Author: Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik <DOT>
de>
AuthorDate: Mon Feb 3 13:30:35 2025 +0000
Commit: Nowa Ammerlaan <nowa <AT> gentoo <DOT> org>
CommitDate: Thu Feb 6 14:34:36 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22612a29
sci-physics/fastjet-contrib: add 1.100
Signed-off-by: Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik.de>
Signed-off-by: Nowa Ammerlaan <nowa <AT> gentoo.org>
sci-physics/fastjet-contrib/Manifest | 1 +
.../fastjet-contrib/fastjet-contrib-1.100.ebuild | 53 ++++++++++++++++++++++
2 files changed, 54 insertions(+)
diff --git a/sci-physics/fastjet-contrib/Manifest
b/sci-physics/fastjet-contrib/Manifest
index 7a13a24c975d..361db7eb54e6 100644
--- a/sci-physics/fastjet-contrib/Manifest
+++ b/sci-physics/fastjet-contrib/Manifest
@@ -1,3 +1,4 @@
DIST fastjet-contrib-1.053.tar.gz 912109 BLAKE2B
b195c415163d9ebf8e48d2516ea44014f0f4b112307a86d536e82d62121b0e22d8c862468fddcc8570eea6137c1d757586941af80112459a528e261764a0fb96
SHA512
b8888d30abaead7ec084d551d05dbd53f5a03e226fd58ec1e4c236cb022868c5134a4199dde262f18334628f4b58d532bd0e7955e81d8d964a985646d376878b
DIST fastjet-contrib-1.055.tar.gz 945588 BLAKE2B
5dc40313fa3b1decb1bd6e2ac8ce486b1905e7be3d575e54e43b82982f50202c5eea060390851b92c3f4b08472b8c3f0e304e5bd345e07f4742749ed892d3960
SHA512
2140c4198b704336449bbaed5625428d5e97ae1b744ff83837932189a72f20ba0226843517130cfb0d74fb395abd19c3377f232a86e0e734aded27d52c4ac71d
+DIST fastjet-contrib-1.100.tar.gz 1049197 BLAKE2B
3a68754de57f99f23099501fd02c81fbc44fc14f8d114a99c3e3af9653794f5e08e8ca0de4fac22dd95a33355dcede102d59a80088c67c3794fc23f0b186b8ce
SHA512
b2903d31f1070ae73dec5f2d2c23f5d60ec2aeda9073978601ad3fbf85adb227ce9e4fb8b6b7e0065e1ea611f002aaf165960733acd2f49c031088912f0a8c95
DIST fjcontrib-1.049.tar.gz 850931 BLAKE2B
ed80c231220794cda36fb0cbbad225eb8d741f2de5558878f17d1774e16e3046d2af4b0cb895d5fc897f382c36f50def0b3ecb0fba06010347752e0a59ee402f
SHA512
21dc066cc8f2667f41377924bad6c3df625fa73d16b6bc3dd49ff76e6e15abbfeac0317850699e7047a7c2445c4a94a67d0f37119922163eae8bf77a56edd9e6
diff --git a/sci-physics/fastjet-contrib/fastjet-contrib-1.100.ebuild
b/sci-physics/fastjet-contrib/fastjet-contrib-1.100.ebuild
new file mode 100644
index 000000000000..516a6334c1bd
--- /dev/null
+++ b/sci-physics/fastjet-contrib/fastjet-contrib-1.100.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+MY_PN=fjcontrib
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="3rd party extensions of FastJet."
+HOMEPAGE="https://fastjet.hepforge.org/contrib/"
+SRC_URI="https://fastjet.hepforge.org/contrib/downloads/${MY_P}.tar.gz ->
${P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND=">=sci-physics/fastjet-3.4.1"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.049-ar.patch
+ "${FILESDIR}"/${PN}-1.055-ar-part2.patch #
https://github.com/fjcontrib/fjcontrib/issues/3
+)
+
+src_configure() {
+ tc-export CXX AR RANLIB
+ ./configure \
+ --prefix="${ESYSROOT}/usr" \
+ --fastjet-config="${ESYSROOT}/usr/bin/fastjet-config" \
+ RANLIB="${RANLIB}" \
+ AR="${AR}" \
+ CXX="${CXX}" \
+ CFLAGS="${CFLAGS}" \
+ CXXFLAGS="${CXXFLAGS}" \
+ FFLAGS="${FFLAGS}" \
+ LDFLAGS="${LDFLAGS}" || die
+}
+
+src_compile() {
+ emake
+ emake fragile-shared
+}
+
+src_install() {
+ emake install PREFIX="${ED}/usr"
+ dolib.so libfastjetcontribfragile.so
+ # The name used for requesting this library varies
+ dosym libfastjetcontribfragile.so
/usr/$(get_libdir)/libfastjetcontribfragile.so.0
+ dosym libfastjetcontribfragile.so
/usr/$(get_libdir)/fastjetcontribfragile.so.0
+}